### Function

# RB user_cache_dir

#### Declaration [src]

    const char*
    rb_user_cache_dir (
      void
    )

#### Description [src]

This will create the rhythmbox user cache directory, using the XDG Base Directory specification. If none of the XDG environment variables are set, this will be ~/.cache/rhythmbox.

#### Return value

Type: `const char*`

String holding the path to the rhythmbox user cache directory, or NULL if the directory does not exist and could not be created.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.